[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.MethodName

Return the name of a method.

## Declaration

Source position: objpash.inc line 228

`public class function TObject.MethodName(`
`address: CodePointer`
`):shortstring;`

## Description

MethodName searches the VMT for a method with the specified address and returns the name of the method.

## Errors

If no method with the matching address is found, an empty string is returned.

## See also

MethodAddress |  | Return the address of a method
FieldAddress |  | Return the address of a field.